<script setup lang="ts">
import { useMenuStore } from '@/stores/menu'

import ArrowDonwIcon from '@/components/Icons/ArrowDownIcon.vue'
import LanguageIcon from './Icons/LanguageIcon.vue';

const menuStore = useMenuStore()
</script>

<template>
  <div class="footer">
    <div class="separator" />
    <div class="line">
      <img src="@/assets/img/logo-full.svg" alt="coldwire">
      <div class="links">
        <a href="#">{{ $t('FOOTER.FOLLOW_US') }}</a>
        <a href="#">{{ $t('FOOTER.TERMS') }}</a>
      </div>
    </div>

    <div class="line">
      <p>{{ $t('FOOTER.LICENSE') }}</p>
      <a class="lang" href="#" @click="(e) => menuStore.toggle('lang', {
        top: e.pageY - 112,
        right: 90
      })">
        <ArrowDonwIcon />
        <LanguageIcon />
      </a>
    </div>
  </div>
</template>

<style>
.footer {
  display: flex;
  flex-direction: column;

  gap: 16px;

  margin-top: 128px;
  margin-bottom: 64px;
  padding: 0 96px 0 96px;
}

.footer .separator {
  border-top: 1px solid var(--complementary-gray-3);
  margin-bottom: 24px;
}

.footer .line {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.footer .line p {
  color: var(--complementary-white-50);
  font-weight: 600;
  font-size: 14px;
}

.footer .line img {
  max-height: 16px;
}


.footer .line .links {
  display: flex;
  flex-direction: row;
  gap: 32px;
}

.footer .line .links a {
  text-decoration: none;
  color: var(--complementary-white-50);
  font-weight: 600;
  font-size: 14px;
}

.footer .lang .icons {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.footer .lang {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 8px;
}
</style>